Package tigase.auth.mechanisms

# Class SaslSCRAMSha512Plus

java.lang.Object
tigase.auth.mechanisms.AbstractSasl
tigase.auth.mechanisms.AbstractSaslSCRAM
tigase.auth.mechanisms.SaslSCRAMSha512Plus

All Implemented Interfaces:
  `SaslServer`

public class SaslSCRAMSha512Plus extends AbstractSaslSCRAM

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.auth.mechanisms.AbstractSaslSCRAM

  `AbstractSaslSCRAM.BindType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `ALGO`
  `static final String`
  `NAME`

  ### Fields inherited from class tigase.auth.mechanisms.AbstractSaslSCRAM

  `DEFAULT_CLIENT_KEY, DEFAULT_SERVER_KEY, LOCAL_CERTIFICATE_KEY, TLS_UNIQUE_ID_KEY`

  ### Fields inherited from class tigase.auth.mechanisms.AbstractSasl

  `authorizedId, callbackHandler, complete, log, negotiatedProperty, PASSWORD_NOT_VERIFIED_MSG, props, SASL_STRICT_MODE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaslSCRAMSha512Plus(Map<? super String,?> props, CallbackHandler callbackHandler)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkRequestedBindType(AbstractSaslSCRAM.BindType requestedBindType)`
  `static boolean`
  `isAvailable(XMPPResourceConnection session)`

  ### Methods inherited from class tigase.auth.mechanisms.AbstractSaslSCRAM

  `calculateC, evaluateResponse, getAuthorizationID, getMechanismName, getSupportedChannelBindings, h, hi, hmac, key, normalize, processClientFirstMessage, processClientLastMessage, unwrap, validateBindingsData, wrap, xor`

  ### Methods inherited from class tigase.auth.mechanisms.AbstractSasl

  `dispose, getNegotiatedProperty, handleCallbacks, isAuthzIDIgnored, isComplete, isEmpty, split`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### ALGO

    protected static final String ALGO
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SaslSCRAMSha512Plus

    public SaslSCRAMSha512Plus(Map<? super String,?> props, CallbackHandler callbackHandler)

- ## Method Details

  - ### isAvailable

    public static boolean isAvailable(XMPPResourceConnection session)

  - ### checkRequestedBindType

    protected void checkRequestedBindType(AbstractSaslSCRAM.BindType requestedBindType) throws SaslException
    Specified by:
      `checkRequestedBindType` in class `AbstractSaslSCRAM`
    Throws:
      `SaslException`